# $Revision: 1.32 $, $Date: 2001/10/29 19:31:02 $
Summary:	Linux enhanced port of winpopup
Summary(pl):	Port programu winpopup pod Linuksa
Name:		LinPopUp
Version:	1.2.0
Release:	4
License:	GPL
Group:		X11/Applications/Networking
Group(de):	X11/Applikationen/Netzwerkwesen
Group(pl):	X11/Aplikacje/Sieciowe
Source0:	ftp://littleigloo.org/pub/linpopup/%{name}-%{version}.src.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-prefix.patch
URL:		http://www.littleigloo.org/
Icon:		LinPopUp.gif
BuildRequires:	gtk+-devel
Requires:	samba
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
LinPopUp is a Xwindow graphical port of Winpopup, running over Samba.
It permits to communicate with a Windows computer that runs Winpopup,
sending or receiving message. (It also provides an alternative way to
communicate between Linux computers that run Samba). Please note that
LinPopUp is not only a port, as it includes several enhanced features.
Also note that it requires to have Samba installed to be fully
functional.

%description -l pl
LinPopUp umoliwia wysyanie krtkich komunikatw tekstowych przy
wykorzystaniu Samby spod X Window. Pozwala na komunikacj z osobami
posugujcymi si Winpopupem pod Windows. (Jest take alternatywnym
sposobem na komunikacj midzy uytkownikami Linuksa z Samb.)
LinPopUp nie jest tylko portem - zawiera te par rozszerze.

%prep
%setup -q
%patch -p1

%build
cd src
%{__make} \
	DESTDIR="" \
	PREFIX="%{_prefix}" \
	DOC_DIR="%{_defaultdocdir}/%{name}-%{version}" \
	INSTALL_MANPATH='$(DESTDIR)%{_mandir}' \
	DATA_DIR='$(DESTDIR)/var/lib/linpopup' \
	CFLAGS="%{rpmcflags} " \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_datadir}/linpopup} \
	$RPM_BUILD_ROOT{%{_pixmapsdir},%{_applnkdir}/Network/Communications}

(cd src; make install \
	DESTDIR="$RPM_BUILD_ROOT" \
	PREFIX="%{_prefix}" \
	INSTALL_MANPATH='$(DESTDIR)%{_mandir}' \
	DATA_DIR='$(DESTDIR)/var/lib/linpopup' \
	DOC_DIR="$RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}" )

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Network/Communications
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

rm -f $RPM_BUILD_ROOT%{_mandir}/man1/linpopup.1
echo ".so LinPopUp.1" >$RPM_BUILD_ROOT%{_mandir}/man1/linpopup.1

gzip -9nf AUTHORS BUGS ChangeLog INSTALL NEWS README THANKS TODO

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%attr(666,nobody,nobody) /var/lib/linpopup/messages.dat
%{_applnkdir}/Network/Communications/*
%{_pixmapsdir}/*
%{_mandir}/man1/*
%{_datadir}/LinPopUp

%dir /var/lib/linpopup

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: LinPopUp.spec,v $
Revision 1.32  2001/10/29 19:31:02  kloczek
- release 4,
- added desktop file and png icon,
- fixed %files list,
- added INSTALL to %doc (contains notes how to modify samba configuration).

Revision 1.31  2001/10/29 15:47:53  qboosh
- better pl description

Revision 1.30  2001/05/02 16:29:08  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.29  2001/02/22 13:15:31  kloczek
- release 3: adapterized and added using rpm automation.

Revision 1.28  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.27  2000/05/17 00:36:12  kloczek
- spec adapterized.

Revision 1.26  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.25  2000/04/25 16:16:47  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.24  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:54:13  baggins
- translated kloczkish into english

Revision 1.22  2000/03/15 18:32:06  kloczek
- updated to 1.2.0,
- spec adapterized.

Revision 1.21  1999/10/30 07:58:12  wiget
- 1.1.1

Revision 1.20  1999/07/20 12:48:05  wiget
- switch to rpm 3.0.2

Revision 1.19  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri May 28 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.0.1]
- added using more rpm macres in spec.

* Fri Mar 19 1999 Artur Frysiak <wiget@pld.org.pl>
  [0.9.9-1]
- add LinPopUp-prefix.patch: allow build rpm with no-root account
- remove autogenerated requires
- changes in %file section

* Tue Feb  9 1999 Micha Kuratczyk <kurkens@polbox.com>
  [0.9.6-2d]
- added gzipping documentation
- sloted BuildRoot into PLD standard
- added LDFLAGS=-s
- cosmetic changes

* Sat Jan 22 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.9.6-1d]
- added "rm -rf $RPM_BUILD_ROOT" on top %install,
- gzipping instead bzipping2 man pages,

* Sat Jan 21 1999 Artur Frysiak <wiget@usa.net>
- initial release
